Bug 645391 - rhn-virtualization-host is not installed when act key is used
rhn-virtualization-host is not installed when act key is used
Status: CLOSED ERRATA
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Virtualization (Show other bugs)
540
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Tomas Lestach
Jan Hutař
: Regression
Depends On:
Blocks: sat54-errata
  Show dependency treegraph
 
Reported: 2010-10-21 09:10 EDT by Petr Sklenar
Modified: 2012-04-02 08:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause When activation key had a specific base channel specified and a required tools package was available in several child channels of the base, none of the child channel was associated with the activation key Consequence rhn-virtualization-host wasn't installed, when registering using an activation key Fix Several fixes done in related actions Result Even if an activation key had a specific base channel specified and a required tools package was available in several child channels of the base, rhn-virtualization-host package gets installed, when registering using this activation key
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-17 10:12:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Sklenar 2010-10-21 09:10:59 EDT
Description of problem:
rhn-virtualization-host is not installed when act key is used

Version-Release number of selected component (if applicable):
Satellite-5.4.0-RHEL5-re20101019.0

How reproducible:
always

Steps to Reproduce:
1. create activation key and add:
+ rhel6 channels (don't use default base)
+ virtualization platform
2. connect client with this activation key
3. rhn-virtualization host is not installed
  
Actual results:
activation key doesn't contain rhn-virtualization-host and doesn't add rhn client tool channel

Expected results:
act key: it automatically adds rhn client tools channel and add rhn-virtualization-host into Software

Additional info:
It works well for sat530, adding Regression
Comment 2 Petr Sklenar 2010-10-21 09:14:59 EDT
this works well:
create activation key with base channel=RHN default and add virtualization platform
=>then rhn child channel and package rhn-virtualization-host are added properly.
Comment 3 Tomas Lestach 2011-02-11 11:16:15 EST
Reproducible only if several child channels with required package are available (rhncfg before this change, rhn-virtualization-host after the change).

Several fixes done, see commit message for more info.

spacewalk.git: 9bd01098d0caf6a67889f387bee58baee5145828
Comment 7 Tomas Lestach 2011-02-14 09:47:38 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause
When activation key had a specific base channel specified and a required tools package was available in several child channels of the base, none of the child channel was associated with the activation key

Consequence
rhn-virtualization-host wasn't installed, when registering using an activation key

Fix
Several fixes done in related actions

Result
Even if an activation key had a specific base channel specified and a required tools package was available in several child channels of the base, rhn-virtualization-host package gets installed, when registering using this activation key
Comment 9 Tomas Lestach 2011-02-28 07:23:43 EST
Did you run rhn_check between step 4 and 5 or waited for 4 hours?
Comment 12 errata-xmlrpc 2011-03-17 10:12:00 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0362.html

Note You need to log in before you can comment on or make changes to this bug.